require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Intent"
import "android.net.Uri"

-- Layout (मुख्य इंटरफ़ेस)
layout = {
  LinearLayout,
  orientation = "vertical",
  layout_width = "fill",
  layout_height = "fill",
  {
    TextView,
    id = "info",
    text = "Listen to Song - Developed by Kunal",
    layout_width = "fill",
    layout_height = "wrap",
    textSize = "18sp",
    gravity = "center",
  },
  {
    Button,
    id = "song1",
    text = "Teri Mitti Mein Mil Jawa",
    layout_width = "wrap",
    layout_height = "wrap",
    layout_gravity = "center",
  },
  {
    Button,
    id = "song2",
    text = "Vande Mataram - Desh Mere",
    layout_width = "wrap",
    layout_height = "wrap",
    layout_gravity = "center",
  },
  {
    Button,
    id = "song3",
    text = "Maa Tujhe Salaam",
    layout_width = "wrap",
    layout_height = "wrap",
    layout_gravity = "center",
  },
  {
    Button,
    id = "song4",
    text = "National Anthem",
    layout_width = "wrap",
    layout_height = "wrap",
    layout_gravity = "center",
  },
  {
    Button,
    id = "subscribeButton",
    text = "Subscribe Our Channel",
    layout_width = "wrap",
    layout_height = "wrap",
    layout_gravity = "center",
  },
}

-- डायलॉग बॉक्स ओपन करें
dlg = LuaDialog(this)
dlg.setTitle("Music Player")
dlg.View = loadlayout(layout)
dlg.setButton("Close", nil)
dlg.show()

-- **Button Actions (गाने और सब्सक्राइब बटन)**
function openLink(url)
  dlg.dismiss()  -- डायलॉग बंद करें
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  this.startActivity(intent) -- लिंक ब्राउज़र में खोलें
end

song1.onClick = function()
  openLink("https://youtu.be/we0Wk-Jd9Iw?si=atOFfHZAycXcuM7u") -- "Teri Mitti Mein Mil Jawa"
end

song2.onClick = function()
  openLink("https://youtu.be/I0-IiiVgvyU?si=BBBXIiqqj_a-nxjK") -- "Desh Mere"
end

song3.onClick = function()
  openLink("https://youtu.be/jDn2bn7_YSM?si=B8rOz4Jn2zgxv2lL") -- "Maa Tujhe Salaam"
end

song4.onClick = function()
  openLink("https://youtu.be/erar4vTOf-k?si=pon0JrNG08EpW2a8") -- "National Anthem"
end

subscribeButton.onClick = function()
  openLink("https://youtube.com/@kunalnimbalkar-qg6xu?si=8OIQZoyD8tRur9bp") -- "Subscribe Our Channel"
end